netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
queue.h File Reference

Go to the source code of this file.

## Data Structures
struct | qnode

## Macros
#define | queue_free(q)

## Typedefs
typedef struct qnode | qnode_t
typedef qnode_t | q_t

## Functions
q_t * | queue_init (void)
void | queue_destroy (q_t *q, void(*callback)(void *))
qnode_t * | enqueue (q_t *q, void *data)
qnode_t * | prequeue (q_t *q, void *data)
void * | dequeue (q_t *q)

## Macro Definition Documentation

## ◆ queue_free

#define queue_free | ( |  | q | ) |

Value:
queue_destroy((q), free)
queue_destroy
void queue_destroy(q_t *q, void(*callback)(void *))
Definition queue.c:109

## Typedef Documentation

## ◆ q_t

typedef qnode_t q_t

## ◆ qnode_t

typedef struct qnode qnode_t

## Function Documentation

## ◆ dequeue()

void * dequeue | ( | q_t * | q | ) |
| extern

Take from head

## ◆ enqueue()

qnode_t * enqueue | ( | q_t * | q,
|  | void * | data )
| extern

Insert at tail

## ◆ prequeue()

qnode_t * prequeue | ( | q_t * | q,
|  | void * | data )
| extern

Insert at head

## ◆ queue_destroy()

void queue_destroy | ( | q_t * | q,
|  | void(* | callback )(void *) )
| extern

## ◆ queue_init()

q_t * queue_init | ( | void |  | ) |
| extern